Skip to main content
GET
/
v1
/
features
/
{code}
Get feature
curl --request GET \
  --url https://api.hyperline.co/v1/features/{code} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hyperline.co/v1/features/{code}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hyperline.co/v1/features/{code}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "code": "sso",
  "name": "Single sign-on",
  "description": "Allow users to authenticate with SAML SSO.",
  "resolution_strategy": null,
  "default_value": false,
  "status": "active",
  "created_at": "2024-12-20T16:04:11Z",
  "updated_at": "2024-12-20T16:04:11Z",
  "archived_at": null
}
{
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

code
string
required

Response

code
string
required

Feature code.

Example:

"sso"

name
string
required

Feature name.

Example:

"Single sign-on"

description
string | null
required

Feature description.

Example:

"Allow users to authenticate with SAML SSO."

value_type
enum<string>
required

Type of feature value.

Available options:
boolean,
number
resolution_strategy
enum<string> | null
required

Strategy used to combine multiple product feature values for number features.

Available options:
max,
sum,
replace
Example:

null

default_value
required

Default value used when no product or customer feature value applies. Null means no default.

Example:

false

status
enum<string>
required

Feature status.

Available options:
active,
archived
Example:

"active"

created_at
string<date-time>
required

Creation date.

Example:

"2024-12-20T16:04:11Z"

updated_at
string<date-time>
required

Last update date.

Example:

"2024-12-20T16:04:11Z"

archived_at
string<date-time> | null
required

Archival date.

Example:

null